%global pypi_name sqlvalidator

Name:           python-%{pypi_name}
Summary:        SQL queries formatting, syntactic and semantic validation
Version:        0.0.20
Source:         %{pypi_source %pypi_name}
Release:        1%{?dist}
BuildArch:      noarch

License: MIT
URL:     https://github.com/David-Wobrock/sqlvalidator

BuildRequires: python3-devel

%package -n python3-%{pypi_name}
Summary: %{summary}

%global _description %{expand:
SQL queries formatting, syntactic and semantic validation.}

%description %_description

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlvalidator

%check
%pyproject_check_import
# tests directory is not included in tar file from pip

%files -n python3-%{pypi_name} -f %{pyproject_files}
%exclude /usr/bin/sqlvalidator
%doc README.md

%changelog
* Sun Jan 22 2023 Rommel Layco <rommel.layco@aiven.io> - 0.0.20-1
- Initial Commit


